import type { _DOMNode } from "./DOMNode.js";
import type { _DOMObject } from "./DOMObject.js";
import type { _DOMXPathResult } from "./DOMXPathResult.js";
export declare class _DOMXPathExpression extends _DOMObject {
    static alloc(): _DOMXPathExpression;
    static new(): _DOMXPathExpression;
    init(): _DOMXPathExpression;
    evaluate$type$inResult$(contextNode: _DOMNode, type: number, inResult: _DOMXPathResult): _DOMXPathResult;
    evaluate$$$(contextNode: _DOMNode, type: number, inResult: _DOMXPathResult): _DOMXPathResult;
}
